## xorg 7.3%2b10.0maemo2

=== debian/changelog ===
xorg (1:7.3+10.0maemo2) unstable; urgency=low

  * Fix up dependencies on x11-common.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 14 May 2008 11:31:58 +0000

xorg (1:7.3+10.0maemo1) unstable; urgency=low

  * Maemo-specific changes: remove unnecessary metapackages, X server wrapper,
    and xinit tools.
  * Change x11-common to be Arch: all, as we no longer build anything Arch:
    any.

 -- Daniel Stone <daniel.stone@nokia.com>  Mon, 12 May 2008 15:20:08 +0300

xorg (1:7.3+10) unstable; urgency=low

  * Just write a default video card identifier
  * Only run driver autodetection on sparc hardware
    All other archictectures should be better supported by having the server
    do it at startup.
    Closes: #442892, #448845, #410889, #443397, #242952, #271599
    + Remove discover and discover1 from the xserver-xorg recommends
    + Remove autodetect_video_card and multiple_possible_x-driver templates
  * Don't ask the bus ID question to anyone who it's not necessary for
    Hardcoding the bus ID is bad. The server already uses the same algorithm
    and more to figure out which PCI ID's have video cards, so don't replicate
    it. Currently we only ask people who have ppc, SGI indigos, and multiple
    heads on sparc.
  * Don't write the DPMS option to the monitor section of xorg.conf.
    The xserver already defaults to enabling DPMS

 -- David Nusinow <dnusinow@debian.org>  Sun, 06 Jan 2008 15:17:14 -0500

xorg (1:7.3+9) unstable; urgency=low

  [ Julien Cristau ]
  * Deregister old debconf questions before calling dexconf.  dexconf calls
    db_stop, and we can't use debconf after that.  Add a comment to that
    effect above the dexconf call in debian/xserver-xorg.postinst.in, to try
    to prevent future mistakes.  Thanks, Michael Vogt!

  [ Timo Aaltonen ]
  * dexconf: Remove reference to xserver-xorg/config/display/modes,
    which is no longer used.

  [ Brice Goglin ]
  * Fix "no video driver modules found" message, thanks Robert Millan,
    closes: #453930.
  * Fix dexconf to write in /etc/X11/xorg.conf by default again,
    closes: #456925.

  [ David Nusinow ]
  * Don't force fbdev on mac mini ppc any more. The ati driver no longer uses
    fbdev, and it has been reported to work on mac minis without it.
  * Add support for $HOME/.xsessionrc. Closes: #411639
    This file, if present, will get sourced during the start of your X
    session. This allows you to set session-wide environment variables easily
    for things like locale information. Patch adapted from one by Yves-Alexis
    Perez. Thanks also to Holger Levsen and Osamu Aoki for advice.
    + Adds 40x11-common_xsessionrc to /etc/X11/Xsession.d
    + Document this in Xsession.5 manpage
    + Add a NEWS.Debian entry about it
    + Modifies /etc/X11/Xsession to declare the location of ~/.xsessionrc.
      Custom versions of Xsession (like gdm's) will need an update
  * Use run-parts --list instead of a custom run_parts function.
    Thanks Vagrant Cascadi for the patch. Closes: #458345, #457606

 -- David Nusinow <dnusinow@debian.org>  Sun, 30 Dec 2007 23:01:52 -0500

xorg (1:7.3+8) unstable; urgency=low

  [ Julien Cristau ]
  * Make xorg Architecture: any.  Depend on sparc-utils [sparc] instead of
    sparc-utils | not+sparc.
  * dexconf: Use xorg.conf/xserver-xorg instead of $REALCONFIG/$XSERVERPKG.
    Thanks, Timo Aaltonen!

  [ Tormod Volden ]
  * xserver-xorg.postinst.in: Narrow down the drivers to filter from the list,
    because otherwise radeonhd would not be selectable.
    (Closes: #446441, LP: #174311)

  [ David Nusinow ]
  * Don't write the default depth to xorg.conf any more.
    The drivers should choose the appropriate depth by default now.
  * Don't bother with resolutions in xorg.conf
    We now rely on the server and drivers to do the right thing. Previously,
    our best-case scenario was to have the xserver-xorg postinstall script ask
    the monitor what the optimal values were, and if that wasn't possible to
    give the user a default list of resolutions and a best-guess hsync and
    vrefresh values that the user could override. The server and almost all
    drivers will do this on boot anyway using properly maintained code, which
    allows them to better adapt to changes. randr 1.2-compliant drivers will
    do this even better than we possibly could. Finally, the server will
    provide a better list of defaults than we were doing anyway. There will
    undoubtedly be bugs uncovered by this change, but we need  to find and fix
    the actual bugs in the drivers and server in order to move forward.
    + Don't recommend xresprobe any more
    + Don't recommend laptop-detect any more or look for it in server postinst
  * Don't set fbdev in the postinst for r128 on ppc.
    The driver will do this automatically if no option is specified by the user
  * Allow cross-building. Thanks Neil Williams. Closes: #451293
  * Bump standards version to 3.7.3.0. No changes needed.

 -- David Nusinow <dnusinow@debian.org>  Sun, 16 Dec 2007 10:35:08 -0500

xorg (1:7.3+7) unstable; urgency=low

  * Don't set driver-specific depths in xserver postinst
    + For newport, vga, savage, suncg6, and tdfx. These should all be handled
      in the drivers themselves
  * Get rid of old server symlink stuff that was left behind
    + Make sure we replace symlinks pointing to /bin/true in the postinst.
      This situation was created if you had installed the previous package
      from scratch. Closes: #452897

 -- David Nusinow <dnusinow@debian.org>  Mon, 26 Nov 2007 23:07:19 -0500

xorg (1:7.3+6) unstable; urgency=low

  * Only cleaning out old junk on upgrade and after version compare
    This currently includes deregistering old debconf questions and removing
    server symlink cruft. Closes: #451426, #451425, #451439

 -- David Nusinow <dnusinow@debian.org>  Thu, 15 Nov 2007 20:38:44 -0500

xorg (1:7.3+5) unstable; urgency=low

  [ David Nusinow ]

