=== debian/control ===
Source: xorg
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Branden Robinson <branden@debian.org>, Drew Parsons <dparsons@debian.org>, Julien Cristau <jcristau@debian.org>
Standards-Version: 3.7.3.0
Build-Depends: dpkg (>= 1.7.0), debhelper (>= 4.1.16)

Package: x11-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xfree86-common, xorg-common, xserver-common, x-common,
 xserver-xorg (<< 1:7.0.12), xserver-xfree86 (<< 1:7.0),
 libxft-dev (<= 2.1.8.2-5),  aee (<= 2.2.15b-1), ascd (<= 0.13.2-3),
 bibview (<= 2.2-8), fvwm1 (<= 1.24r-46), grace (<= 1:5.1.18-1),
 groff (<= 1.18.1.1-7), hfsutils-tcltk (<= 3.2.6-7), login.app (<= 1.2.1-18),
 oneko (<= 1.2.sakura.6-1), procmeter (<= 2.5.1-11), propsel (<= 971130-5.3),
 regexplorer (<= 0.1.6-12), tkseti (<= 3.06-1), wdm (<= 1.28-1),
 wily (<= 0.13.41-6), wmnetselect (<= 0.85-5.5), wmsensors (<= 1.0.4-3.4),
 wmtv (<= 0.6.5-15), xbanner (<= 1.31-23), xcolors (<= 1.5a-2),
 xcolorsel (<= 1.1a-11), xezmlm (<= 1.0.3-11), xfs-xtt (<= 1:1.4.1.xf430-6),
 xgdipc (<= 1.2-0.3), xgmod (<= 3.1-9), xgraph (<= 12.1-3),
 xlogmaster (<= 1.6.0-8), xmailbox (<= 2.5-9), xmem (<= 1.20-19),
 xnecview (<= 1.34-2), xodo (<= 1.2-9.2), xturqstat (<= 2.2.2sarge1),
 xwit (<= 3.4-6), lbxproxy (<< 7.0), proxymngr (<< 7.0), twm (<< 7.0),
 xbase-clients (<< 1:7.0), xdm (<= 1:1.0.1-6), xfs (<< 1:1.0), xfwp (<< 7.0),
 xutils (<< 1:7.0), xvfb (<< 1:1.0), qcam (<= 0.91-11.1), twlog (<= 1.3-4),
 xdmx (<< 1:1.0), bugsx (<= 1.08-8), buici-clock (<= 0.4.5+b1),
 ctwm (<= 3.7-2), emelfm (<= 0.9.2-7), fte-xwindow (<= 0.50.0-1.3),
 fvwm95 (<= 2.0.43ba-23+b1), gerstensaft (<= 0.2-5.1), gipsc (<= 0.4.3-2),
 gradio (<= 1.0.1-6), hanterm-classic (<= 3.1.6.0-4),
 hanterm-xf (<= 1:3.3.1p18-9.2), ibp (<= 0.21-4),
 isdnutils-xtools (<= 1:3.8.2005-12-06-4), ivtools-bin (<= 1.1.3-5),
 kdrill (<= 6.4-2.1), kinput2-canna (<= 3.1-7), kinput2-canna-wnn (<= 3.1-7),
 kinput2-wnn (<= 3.1-7), kterm (<= 6.2.0-45), lm-batmon (<= 0.96-3),
 lwm (<= 1.2.1-1), mctools-lite (<= 970129-16), mgp (<= 1.11b-6),
 olvwm (<= 4.4.3.2p1.4-21), olwm (<= 3.2p1.4-21), pixmap (<= 2.6pl4-14.1),
 plotmtv (<= 1.4.4t-8.1), ppxp-x11 (<= 0.2001080415-14), seyon (<= 2.20c-20),
 skkinput (<= 1:2.06.4-4), tkdesk (<= 2.0-5), videogen (<= 0.32-1),
 vtwm (<= 5.4.7-2), w9wm (<= 0.4.2-4), wmavgload (<= 0.7.0-6.1),
 wmcpu (<= 1.3-4.1), wmdate (<= 0.5-7.1), wmnet (<= 1.05-12),
 wmscope (<= 3.0-9.1), xautolock (<= 1:2.1-6), xbatt (<= 1.2.1-4),
 xbattbar (<= 1.4.2-3.1), xcal (<= 4.1-18.2),
 xcalendar-i18n (<= 4.0.0.i18p1-13.1), xcb (<= 2.4-4), xclip (<= 0.08-5),
 xclips (<= 6.21-6), xdkcal (<= 0.9d-2.1), xdu (<= 3.0-14),
 xengine (<= 1.11-9), xfaces (<= 3.3-25), xfishtank (<= 2.2-23.1),
 xfm (<= 1.4.3-8), xinput (<= 1.2-5.2), xipmsg (<= 0.8088-1.1),
 xlbiff (<< 4.1-4), xli (<= 1.17.0-21), xlockmore (<= 1:5.21-1),
 xlockmore-gl (<= 1:5.21-1), xmeter (<= 1.15-6), xmix (<= 2.1-5),
 xmon (<= 1.5.6-1.3), xpostit (<= 3.3.1-8.2), xprint (<= 1:0.1.0.alpha1-13),
 xrn (<= 9.02-7.1), xsysinfo (<= 1.7-2), xtel (<= 3.3.0-5.4),
 xtoolwait (<= 1.3-6), xtrlock (<= 2.0-11), xview-clients (<= 3.2p1.4-21),
 xviewg (<= 3.2p1.4-21), xviewg-dev (<= 3.2p1.4-21), xvkbd (<= 2.6-2.1),
 xxkb (<= 1.10-2.1), xzoom (<= 0.3-17), pgaccess (<= 1:0.98.8.20030520-2),
 xearth (<= 1.1-10.2), libmotif-dev (<= 2.2.3-1.3),
 motif-clients (<= 2.2.3-1.3), xslideshow (<= 3.1-8.1), xtrkcad (<= 3.1.4-1),
 pmud (<= 0.10-9), xnest (<< 1:1.0), xterm (<< 208-1), xmh (<= 6.8.2.dfsg.1-4),
 beaver (<= 0.2.5-2), lsb-core (<= 3.1-4), yank (<=0.2.1-7.2),
 xpmumon (<= 1.3.0), ivtools-dev (<= 1.1.3-5), ppxp (<= 0.2001080415-14),
 guitar (<= 0.1.4-11), xftp, xext, xpaste, ghostview, xv (<= 3.10a-26),
 xserver-xfree86-dbg, grace6 (<= 5.99.0+final-4), xephem (<= 3.4-5),
 opera (<< 9.10-20060616), hamsoft (<< 0.2.3-1), phototk, tkworld,
 ucbmpeg-play (<< 2.3p-13), netscape-base-4, communicator-smotif-477, epan,
 navigator-smotif-477, stella (<< 2.2-1), xfractint (<< 20.3.01-1), xgobi,
 xpostitplus, xisp, vide (<= 1.21-3)
Replaces: xfree86-common, xorg-common, xserver-common, x-common
Description: X Window System (X.Org) infrastructure
 x11-common contains the filesystem infrastructure required for further
 installation of the X Window System in any configuration; it does not
 provide a full installation of clients, servers, libraries, and utilities
 required to run the X Window System.
 .
 A number of terms are used to refer to the X Window System, including "X",
 "X Version 11", "X11", "X11R6", and "X11R7".  The version of X used in
 Debian is derived from the version released by the X.Org Foundation, and
 is thus often also referred to as "X.Org".  All of the preceding quoted
 terms are functionally interchangeable in an Debian system.
