## xorg 7.3+10ubuntu10

=== debian/changelog ===
xorg (1:7.3+10ubuntu10) hardy; urgency=low

  [ Michael Vogt ]
  * do not fail if /usr/X11R6/bin is not empty but move it
    away instead and tell the user about it (LP: #217724)

  [ Timo Aaltonen ]
  * control: Add xqbiff (<= 0.75-4) to the list of x11-common Conflicts.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 16 Apr 2008 01:04:54 +0300

xorg (1:7.3+10ubuntu9) hardy; urgency=low

  * control: Add an epoch to the "x11-common Replaces xrgb" version.
    (LP: #212672)
  * dexconf, failsafeDexconf: Revert back to using "mouse" by default, and
    use vmmouse_detect to determine if the system is a virtual machine and
    if yes, use vmmouse and set the device path. (LP: #216667, #216276)
  * control: xserver-xorg needs to Depend on mdetect instead of Recommends.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 14 Apr 2008 16:35:12 +0300

xorg (1:7.3+10ubuntu8) hardy; urgency=low

  * dexconf: Add CorePointer to the default mouse section, otherwise
    the server defaults are used. (LP: #197337)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 10 Apr 2008 14:54:29 +0300

xorg (1:7.3+10ubuntu7) hardy; urgency=low

  * dexconf, failsafeDexconf: Default to using vmmouse, which is able to
    fall back to mouse if the system is not a virtual machine. Detecting
    it otherwise proved to be unreliable. (LP: #197337) 

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 13 Mar 2008 18:16:50 +0200

xorg (1:7.3+10ubuntu6) hardy; urgency=low

  * dexconf: Write a section for synaptics and ServerLayout again, since
    input-hotplug is not ready for public consumption. (LP: #173411)
  * debian/control: xserver-xorg Recommends laptop-detect again.
  * failsafeDexconf: sync with dexconf

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 28 Feb 2008 12:56:29 +0200

xorg (1:7.3+10ubuntu5) hardy; urgency=low

  * dexconf: Bring Device back to the Screen-section, nvidia-settings
    and aticonfig need that. (LP: #181405)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 19 Feb 2008 18:19:19 +0200

xorg (1:7.3+10ubuntu4) hardy; urgency=low

  * failsafeDexconf: Update mouse section.
    - Don't try to use removed debconf keys.
    - Make the section identical with the normal dexconf.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 29 Jan 2008 12:29:02 +0200

xorg (1:7.3+10ubuntu3) hardy; urgency=low

  * dexconf: Add customizations to detect if running in KVM environment
    (CPU = "QEMU") and specify the H/V rates, DefaultDepth, etc.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 24 Jan 2008 17:31:15 +0000

xorg (1:7.3+10ubuntu2) hardy; urgency=low

  * vars.{i386,amd64}: add vmmouse.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 08 Jan 2008 10:21:31 +0200

xorg (1:7.3+10ubuntu1) hardy; urgency=low

  * Merge with Debian unstable, remaining changes:
    - apport/xorg-server.py, debian/x11-common.install:
      + apport hook for xorg-server crashes
    - local/Failsafe/*, x11-common.install:
      + Bulletproof-X.
    - control:
      + Change maintainer address.
      + xserver-xorg: Recommends displayconfig-gtk
      + Move xorg-docs Recommends to Suggests, because xorg-docs is in
        universe.
      + Add "xserver-xorg-driver-all" transitional package to make
        dapper->hardy upgrades work.
    - control, rules:
      + Add a dependency to x11-common for each binary built to save
        disk/livecd space.
      + Symlink the doc directories to x11-common, explicitly remove the
        doc directories on upgrade for the now symlinked doc directories.
    - local/xserver-wrapper.c:
      + Stop handling -config specifically in the wrapper, as Xorg now
        handles this itself.
    - local/dexconf, control:
      + Added support for vmmouse_detect (if present) to override mouse
        driver with vmware. Depends on mdetect.
    - local/dexconf:
      + Add extra bits for ps3fb xorg.conf.
    - scripts/vars.{amd64,i386}:
      + Install both xserver-xorg-video-intel AND xserver-xorg-video-i810,
        instead of OR.
    - scripts/vars.i386:
      + Add xserver-xorg-video-amd and xserver-xorg-video-psb.
    - scripts/vars.lpia:
      + Copied from vars.i386.
    - local/Xsession:
      + If ~/.xsession-errors is bigger than 0.5MiB, truncate it to the last
        0.5MiB to avoid having it grow indefinitively. (This does not happen
        with gdm anyway since gdm cleans the file on login).
    - xserver-xorg.postinst.in:
      + Skip video card autodetection if xforcevesa is set.
  * vars.{i386,amd64}: add openchrome.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 07 Jan 2008 18:10:18 +0200

xorg (1:7.3+9ubuntu2) hardy; urgency=low

  [ Basilio Kublik ]
  * failsafeXServer: Add quotation marks to serverargs variable
    (LP: #151388).

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Sat, 05 Jan 2008 10:06:24 +0200

xorg (1:7.3+9ubuntu1) hardy; urgency=low

  * Merge with Debian unstable, remaining changes:
    - apport/xorg-server.py, debian/x11-common.install:
      + apport hook for xorg-server crashes
    - local/Failsafe/*, x11-common.install:
      + Bulletproof-X.
    - control:
      + Change maintainer address.
      + xserver-xorg: Recommends displayconfig-gtk
      + Move xorg-docs Recommends to Suggests, because xorg-docs is in
        universe.
      + Add "xserver-xorg-driver-all" transitional package to make
        dapper->hardy upgrades work.
    - control, rules:
      + Add a dependency to x11-common for each binary built to save
        disk/livecd space.
      + Symlink the doc directories to x11-common, explicitly remove the
        doc directories on upgrade for the now symlinked doc directories.
    - local/xserver-wrapper.c:
      + Stop handling -config specifically in the wrapper, as Xorg now
        handles this itself.
    - local/dexconf, control:
      + Added support for vmmouse_detect (if present) to override mouse
        driver with vmware. Depends on mdetect.
    - local/dexconf:
      + Add extra bits for ps3fb xorg.conf.
    - scripts/vars.{amd64,i386}:

