## xorg 7.3+10ubuntu10.2

=== debian/changelog ===
xorg (1:7.3+10ubuntu10.2) hardy-proposed; urgency=low

  * Replaced -amd with -geode in debian/scripts/vars.i386 (LP: #219630).

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 17 Jun 2008 03:05:38 +0300

xorg (1:7.3+10ubuntu10.1) hardy-proposed; urgency=low

  * dexconf:
    - The output of cat /proc/fb on 2.6.24 is "0 ps3fb". Dexconf was
      searching for "PS3" and was therefore failing to detect the platform
      correctly. (LP: #230091)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 13 May 2008 17:10:31 -0700
