=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: xorg
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Branden Robinson <branden@debian.org>, Drew Parsons <dparsons@debian.org>, Julien Cristau <jcristau@debian.org>
 Standards-Version: 3.7.3.0
-Build-Depends: dpkg (>= 1.7.0), debhelper (>= 4.1.16)
+Build-Depends: dpkg (>= 1.7.0), po-debconf, debhelper (>= 4.1.16)
 
 Package: x11-common
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.13), lsb-base (>= 1.3-9ubuntu2)
+Pre-Depends: debconf | debconf-2.0
 Conflicts: xfree86-common, xorg-common, xserver-common, x-common,
  xserver-xorg (<< 1:7.0.12), xserver-xfree86 (<< 1:7.0),
  libxft-dev (<= 2.1.8.2-5),  aee (<= 2.2.15b-1), ascd (<= 0.13.2-3),
@@ -62,8 +64,8 @@
  opera (<< 9.10-20060616), hamsoft (<< 0.2.3-1), phototk, tkworld,
  ucbmpeg-play (<< 2.3p-13), netscape-base-4, communicator-smotif-477, epan,
  navigator-smotif-477, stella (<< 2.2-1), xfractint (<< 20.3.01-1), xgobi,
- xpostitplus, xisp, vide (<= 1.21-3)
-Replaces: xfree86-common, xorg-common, xserver-common, x-common
+ xpostitplus, xisp, vide (<= 1.21-3), xqbiff (<= 0.75-4)
+Replaces: xfree86-common, xorg-common, xserver-common, x-common, xinit (<= 1.0.2-0ubuntu3), xrgb (<= 1:1.0.0-0ubuntu2)
 Description: X Window System (X.Org) infrastructure
  x11-common contains the filesystem infrastructure required for further
  installation of the X Window System in any configuration; it does not
@@ -75,3 +77,137 @@
  Debian is derived from the version released by the X.Org Foundation, and
  is thus often also referred to as "X.Org".  All of the preceding quoted
  terms are functionally interchangeable in an Debian system.
+
+Package: xserver-xorg
+Architecture: all
+Conflicts: xserver-xfree86 (<< 6.8.2.dfsg.1-1), xserver-common
+Replaces: xserver-common
+Pre-Depends: x11-common (>= 1:7.3+3)
+Depends: xserver-xorg-core (>= 2:1.4-3), xserver-xorg-video-all | xserver-xorg-video-2, xserver-xorg-input-all | xserver-xorg-input-2, ${misc:Depends}, xkb-data | xkb-data-legacy, x11-xkb-utils, mdetect
+Recommends: libgl1-mesa-dri, udev, ${F:XServer-Xorg-Detect-Depends}, displayconfig-gtk, laptop-detect
+Description: the X.Org X server
+ This package depends on the full suite of the server and drivers for the
+ X.Org X server, as well as providing a configuration infrastructure to manage
+ xorg.conf.  It does not provide the actual server itself, but removing it
+ is strongly discouraged.
+
+Package: xserver-xorg-video-all
+Architecture: any
+Depends: ${F:XServer-Xorg-Video-Depends}, x11-common
+Replaces: xserver-xorg-driver-all
+Description: the X.Org X server -- output driver metapackage
+ This package depends on the full suite of output drivers for the X.Org X server
+ (Xorg).  It does not provide any drivers itself, and may be removed if you wish
+ to only have certain drivers installed.
+
+Package: xserver-xorg-driver-all
+Architecture: any
+Depends: ${F:XServer-Xorg-Video-Depends}
+Description: the X.Org X server -- output driver transitional metapackage
+ This package depends on the full suite of output drivers for the X.Org X server
+ (Xorg).  It does not provide any drivers itself, and may be removed if you wish
+ to only have certain drivers installed.
+
+Package: xserver-xorg-input-all
+Architecture: any
+Depends: ${F:XServer-Xorg-Input-Depends}, x11-common
+Description: the X.Org X server -- input driver metapackage
+ This package depends on the full suite of input drivers for the X.Org X server
+ (Xorg).  It does not provide any drivers itself, and may be removed if you wish
+ to only have certain drivers installed.
+
+Package: xorg
+Architecture: any
+Depends: xserver-xorg, libgl1-mesa-glx | libgl1, libglu1-mesa, xfonts-base (>= 1:1.0.0-1), xfonts-100dpi (>= 1:1.0.0-1), xfonts-75dpi (>= 1:1.0.0-1), xfonts-scalable (>= 1:1.0.0-1), x11-apps, x11-session-utils, x11-utils, x11-xfs-utils, x11-xkb-utils, x11-xserver-utils, xauth, xinit, xfonts-utils, xkb-data, xterm | x-terminal-emulator, sparc-utils [sparc], x11-common
+Suggests: xorg-docs
+Provides: x-window-system, x-window-system-core
+Description: X.Org X Window System
+ This metapackage provides the components for a standalone
+ workstation running the X Window System.  It provides the X libraries, an X
+ server, a set of fonts, and a group of basic X clients and utilities.
+ .
+ Higher level metapackages, such as those for desktop environments, can
+ depend on this package and simplify their dependencies.
+ .
+ It should be noted that a package providing x-window-manager should also
+ be installed to ensure a comfortable X experience.
+
+Package: xorg-dev
+Architecture: all
+Depends: libdmx-dev, libfontenc-dev, libfs-dev, libice-dev, libsm-dev, libx11-dev, libxau-dev, libxaw7-dev, libxcomposite-dev, libxcursor-dev, libxdamage-dev, libxdmcp-dev, libxevie-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxft-dev, libxi-dev, libxinerama-dev, libxkbfile-dev, libxkbui-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxres-dev, libxss-dev, libxt-dev, libxtrap-dev, libxtst-dev, libxv-dev, libxvmc-dev, libxxf86dga-dev, libxxf86misc-dev, libxxf86vm-dev, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dmx-dev, x11proto-evie-dev, x11proto-fixes-dev, x11proto-fontcache-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-trap-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86misc-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xserver-xorg-dev, xtrans-dev, x11-common
+Description: the X.Org X Window System development libraries
+ This metapackage provides the development libraries for the X.Org X Window
+ System.
+ .
+ X Window System design documentation, manual pages, library reference
+ works, unstripped and static versions of the shared libraries, C header
+ files, and special versions of libraries available only in static form
+ (with and without PIC symbols included) are supplied by the packages
+ depended on by this metapackage.
+ .
+ Note that this is a convenience package for users and is not a package for
+ Debian developers to have their package depend on.
+
+Package: xlibs-data
+Architecture: all
+Section: libs
+Depends: xbitmaps, xcursor-themes, libx11-6 (>= 2:1.0.0-2), x11-common
+Description: transitional package for X11 client data
+ This package is provided to ease upgrades from Debian 3.1 ("sarge"). It
+ may be safely removed from your system.
+
+Package: xlibs-static-dev
+Architecture: all
+Section: oldlibs
+Depends: libxfont-dev, libfontenc-dev, x11-common
+Description: transitional metapackage
+ This package depends on the individual libraries that used to be contained
+ within the package of this name. These libraries used to be static
+ libraries, but have since become shared libraries with their own packages
+ and can be depended on by themselves. This package is for transitional
+ purposes to prevent disruptions during automated package builds, and my be
+ safely removed from your system.
+
+Package: xlibmesa-gl
+Section: libs
+Architecture: all
+Depends: libgl1-mesa-glx, x11-common
+Description: transitional package for Debian etch
+ This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
+ Debian etch. It may be safely removed from your system.
+
+Package: xlibmesa-gl-dev
+Section: libdevel
+Architecture: all
+Depends: libgl1-mesa-dev, x11-common
+Description: transitional package for Debian etch
+ This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
+ Debian etch. It may be safely removed from your system.
+
+Package: xlibmesa-glu
+Section: libdevel
+Architecture: all
+Depends: libglu1-mesa, x11-common
+Description: transitional package for Debian etch
+ This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
+ Debian etch. It may be safely removed from your system.
+
+Package: libglu1-xorg
+Section: libs
+Architecture: all
+Depends: libglu1-mesa, x11-common
+Description: transitional package for Debian etch
+ This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
+ Debian etch. It may be safely removed from your system.
+ 
+Package: libglu1-xorg-dev
+Section: libdevel
+Architecture: all
+Depends: libglu1-mesa-dev, x11-common
+Description: transitional package for Debian etch
+ This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
+ Debian etch. It may be safely removed from your system.
+
+Package: xbase-clients
+Section: x11
+Architecture: all
