## xorg 7.3+20

=== debian/changelog ===
xorg (1:7.3+20) stable; urgency=low

  * Non-maintainer upload, supervised by Julien Cristau.
  * xserver-xorg.postinst: fix for the previous patch. Closes: #535624

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jul 2009 16:26:29 -0300

xorg (1:7.3+19) stable; urgency=low

  * xserver-xorg.postinst: default to the fbdev driver on sparc, even when we
    find PCI devices, to work around #488669.

 -- Julien Cristau <jcristau@debian.org>  Mon, 08 Jun 2009 11:53:46 +0200

xorg (1:7.3+18) unstable; urgency=low

  [ Debconf translations ]
  * Wolof. Closes: #500669

  [ Julien Cristau ]
  * Version the Replaces/Conflicts on xserver-common, so we can reintroduce it
    later if needed.

 -- Julien Cristau <jcristau@debian.org>  Sun, 05 Oct 2008 20:26:08 +0200

xorg (1:7.3+17) unstable; urgency=low

  [ Debconf translations ]
  * Croatian. Closes: #498054
  * Spanish. Closes: #498435
  * Greek. Closes: #498465

 -- Julien Cristau <jcristau@debian.org>  Mon, 15 Sep 2008 13:35:44 +0200

xorg (1:7.3+16) unstable; urgency=low

  [ Debconf translations ]
  * Lithuanian. Closes: #497314
  * Norwegian Bokmal. Closes: #497315
  * Polish. Closes: #497162

 -- Julien Cristau <jcristau@debian.org>  Wed, 03 Sep 2008 14:01:38 +0200

xorg (1:7.3+15) unstable; urgency=low

  [ Debconf translations]
  * Finnish. Closes: #491323
  * Korean. Closes: #491519
  * Gujarati. Closes: #492097

  [ Julien Cristau ]
  * If the TMPDIR environment variable is set, preserve it across the
    invocation of ssh-agent (closes: #355923).  Thanks, Sam Morris!
  * On sparc, don't put the driver description in the Driver field, using
    patch from Bernhard R. Link (closes: #469299).

 -- Julien Cristau <jcristau@debian.org>  Sat, 02 Aug 2008 23:13:25 +0200

xorg (1:7.3+14) unstable; urgency=low

  * Ignore errors from update-rc.d remove (closes: #490595).

 -- Julien Cristau <jcristau@debian.org>  Sun, 13 Jul 2008 10:42:05 +0200

xorg (1:7.3+13) unstable; urgency=low

  [ Debconf translations]
  * Malayalam. Closes: #486830
  * Italian. Closes: #487877
  * Swedish. Closes: #488550
  * Dzongkha.
  * Traditional Chinese. Closes: #486490

  [ Brice Goglin ]
  * Remove obsolete xserver-xorg startup links, closes: #487453.

  [ Julien Cristau ]
  * Map the ca-multi d-i keymap to XkbLayout "ca", XkbVariant "multi"
    (closes: #466226).

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Jul 2008 16:38:55 +0200

xorg (1:7.3+12) unstable; urgency=low

  [ Debconf translations]
  * Belarusian. Closes: #483697
  * French
  * Basque. Closes: #485293
  * Galician. Closes: #485292
  * Tamil. Closes: #485376
  * Thai. Closes: #485385
  * Simplified Chinese. Closes: #485389
  * Hebrew. Closes: #485390
  * Bulgarian. Closes: #485391
  * Catalan. Closes: #485394
  * Vietnamese. Closes: #485404
  * Belarusian. Closes: #485405
  * German. Closes: #485461
  * Portuguese. Closes: #485486
  * Indonesian. Closes: #485746
  * Arabic. Closes: #485865
  * Russian. Closes: #485976
  * Slovak. Closes: #486186
  * Hungarian. Closes: #486189
  * Korean. Closes: #486279
  * Japanese. Closes: #486281
  * Brazilian Portuguese. Closes: #486294
  * Czech. Closes: #486358, #486456, #486472
  * Dutch. Closes: #486459
  * Turkish. Closes: #486462
  * Romanian. Closes: #486636

  [ Julien Cristau ]
  * Don't recommend the 'sun' xkb rule set, they're handled by 'xorg' now,
    with the type4 and type5 models (closes: #483946).  Thanks, Bernhard R.
    Link!
  * Re-add the xutils-dev dependency to xutils.  There are still too many
    packages build-depending on xutils and expecting imake to be available.
    We'll drop it again after the lenny release (closes: #485184).
  * xserver-xorg-video-all: don't depend on the via driver on non-x86
    architectures; change the via dependency on x86 to openchrome | via.

  [ Brice Goglin ]
  * Add SH4 support script, thanks Nobuhiro Iwamatsu, closes: #473582.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 17 Jun 2008 21:56:20 +0200

xorg (1:7.3+11) unstable; urgency=low

  [ David Nusinow ]
  * Add radeonhd to the -video-all depends

  [ Brice Goglin ]
  * Remove $named from the Should-Start/Stop LSB dependency info of the
    x11-common init script, closes: #463630.
  * Remove $remote_fs from Required-Start/Stop LSB dependency info of
    the x11-common init script, closes: #470940.
  * Remove the dependency of xutils against xutils-dev, it was only useful
    for transitional purpose in Etch, closes: #418123.
  * Remove the obsolete /etc/init.d/xserver-xorg, closes: #459507.
  * Add xutils preinst to drop obsolete /etc/X11/rstart/ files,
    closes: #382360.

  [ David Nusinow ]
  * Ship the X server wrapper in xserver-xorg rather than x11-common. This
    avoids having an unnecessary SUID binary on some systems. Thanks Stephen
    Frost. closes: #400632
    + Have x11-common conflict with older xserver-xorg and vice-versa. Also
      have xserver-xorg replace older x11-common
    + Set x11-common to arch: all and xserver-xorg to arch: any
    + Move ${shlib:Depends} from x11-common to xserver-xorg

  [ Julien Cristau ]
  * Use root:root instead of 0:0 in chown calls in x11-common's init script.
    This should prevent remote nss lookups and timeouts in some environments.
    Closes: #407788.
  * Add Kurdish debconf translation from Erdal Ronahi (closes: #477492).
  * Move dexconf and its manpage from x11-common to xserver-xorg.
  * Remove pre-dependency on x11-common from xserver-xorg.
  * Drop the xlibs-data and xlibs-static-dev transitional packages.  These
    were kept around for the sarge->etch upgrade, so it's past time they went
    away (closes: #477547, #477550).
  * xserver-xorg-video-newport is mips-only, don't depend on it on other
    architectures.
  * dexconf, xserver-xorg.postinst: the emulate3buttons question is gone,
    don't ask about it and don't add the corresponding option in the generated
    xorg.conf.  The option is on by default, and the only thing we used to do

