=== debian/rules ===
--- 
+++ 
@@ -93,20 +93,13 @@
 	dh_installdirs
 	dh_installdocs
 	dh_installchangelogs
+	dh_installinit -px11-common -u'start 70 S .'
+	dh_installman
 	dh_link
 	dh_compress
-	t=x11-common; \
-	for p in $$(dh_listpackages -i -N$$t); do \
-	  rm -rf debian/$$p/usr/share/doc/$$p; \
-	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
-	  ( \
-	    echo "# doc dir is now a symlink to $$p"; \
-	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -rf /usr/share/doc/$$p"; \
-	    echo "fi"; \
-	  ) >> debian/$$p.preinst.debhelper; \
-	done
 	dh_fixperms
+	chown root:root debian/x11-common/etc/X11/Xsession
+	chmod 755 debian/x11-common/etc/X11/Xsession
 	dh_installdeb
 	dh_gencontrol -- -VF:XServer-Xorg-Detect-Depends=$(XSERVER_XORG_DETECT_DEPENDS)
 	dh_md5sums
@@ -122,27 +115,13 @@
 	dh_installdirs
 	dh_installdocs
 	dh_installman
-	dh_installinit -px11-common -u'start 70 S .'
 	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress
-	t=x11-common; \
-	for p in $$(dh_listpackages -s -N$$t); do \
-	  rm -rf debian/$$p/usr/share/doc/$$p; \
-	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
-	  ( \
-	    echo "# doc dir is now a symlink to $$p"; \
-	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -rf /usr/share/doc/$$p"; \
-	    echo "fi"; \
-	  ) >> debian/$$p.preinst.debhelper; \
-	done
 	dh_fixperms
-	chown root:root debian/x11-common/etc/X11/Xsession
-	chmod 755 debian/x11-common/etc/X11/Xsession
-	chown root:root debian/x11-common/usr/bin/X
-	chmod ug+s debian/x11-common/usr/bin/X
+	chown root:root debian/xserver-xorg/usr/bin/X
+	chmod ug+s debian/xserver-xorg/usr/bin/X
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol -- -VF:XServer-Xorg-Video-Depends=$(XSERVER_XORG_VIDEO_DEPENDS) \
